summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-03-07 19:26:47 +0000
committerKarl Berry <karl@freefriends.org>2008-03-07 19:26:47 +0000
commitbd73c3cb1402eda07b0859c0e1768f47cc019e63 (patch)
tree92538802ba94eeb5941e066519fbe428be60a16f /Master/tlpkg
parentbcfdd06eec201626e38bdd68d97c9582af455727 (diff)
symlink makeglossaries script
git-svn-id: svn://tug.org/texlive/trunk@6881 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds2
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl8
-rwxr-xr-xMaster/tlpkg/bin/place30
3 files changed, 19 insertions, 21 deletions
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index 22d0c4253e9..8a21c637249 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -180,7 +180,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'gfsneohellenic', "&MAKEflatten",
'gfsporson', "&MAKEflatten",
'gfssolomos', "&MAKEflatten",
- 'glossaries', "&MAKEcopy",
+ 'glossaries', "die 'needs setup from ctan:install, sorry'", #&MAKEcopy",
'glhyph', "die 'hyphenation madness needs work, sorry'",
'graphics', "&MAKEcopy", # we use latex-tds/graphics.zip
'graphicxsp', "die 'skipping, requires adobe distiller'",
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index e1360d71564..6f37ceb1038 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -22,9 +22,9 @@ if test "x$1" = x--help; then
echo "--place execute place to do repository adds/removes."
echo "--no-ctan if already have files in Build/tmp.raw/PKG."
echo
- echo "This does not actually commit anything to the repository. Without"
- echo "--place, it doesn't even touch anything in the repository outside of"
- echo "Build/tmp.{raw,cooked}."
+ echo "This never actually commits anything to the repository."
+ echo "Without --place, it doesn't even touch anything in the repository"
+ echo "outside of Build/tmp.{raw,cooked}."
echo
echo "Read and understand http://tug.org/texlive/pkgupdate.html"
echo "before running this."
@@ -134,5 +134,5 @@ rm -rf $pkg.done
place $place_chicken $pkg
status=$?
-rm -rf $raw/$pkg
+$copy_from_ctan && rm -rf $raw/$pkg
exit $status
diff --git a/Master/tlpkg/bin/place b/Master/tlpkg/bin/place
index 421ab4137b1..e4e1e2c6186 100755
--- a/Master/tlpkg/bin/place
+++ b/Master/tlpkg/bin/place
@@ -61,16 +61,16 @@ if ($Root eq 'texmf-doc') {
}
# initialize TLPDB
-my $tlpdb = new TeXLive::TLPDB ( root => "$M" );
+my $tlpdb = new TeXLive::TLPDB ('root' => $M);
# create TLTREE from stuff in cooked/$pkg
-my $tltree = TeXLive::TLTREE->new( 'svnroot' => "$cooked/$package" );
+#$::LOGLEVELTERMINAL = $::LOG_DDDEBUG;
+my $tltree = TeXLive::TLTREE->new ('svnroot' => "$cooked/$package");
$tltree->init_from_files;
# get package from TLPDB;
-my $tlpold = $tlpdb->get_package("$package");
+my $tlpold = $tlpdb->get_package ($package);
if (defined($tlpold)) {
- # what to do with binfiles, but they are not place-ed!!!
- foreach ($tlpold->srcfiles, $tlpold->runfiles, $tlpold->docfiles) {
+ foreach ($tlpold->all_files) {
$Old{$_} = 1;
}
} else {
@@ -79,16 +79,18 @@ if (defined($tlpold)) {
# create new tlpsrc and tlpobj
my $tlpsrc = TeXLive::TLPSRC;
-if (! -r "$M/tlpkg/tlpsrc/$package.tlpsrc") {
- $tlpsrc->name("$package");
+my $tlpsrcfile = "$M/tlpkg/tlpsrc/$package.tlpsrc";
+if (! -r $tlpsrcfile) {
+ $tlpsrc->name($package);
$tlpsrc->category($Type);
if (!$chicken) {
- open TMP, ">$M/tlpkg/tlpsrc/$package.tlpsrc" or die "Cannot open tlpsrc file!";
+ $TMP = ">$tlpsrcfile";
+ open (TMP) || die "open($TMP) failed: $!";
$tlpsrc->writeout(\*TMP);
- close TMP
+ close TMP;
}
} else {
- $tlpsrc->from_file("$M/tlpkg/tlpsrc/$package.tlpsrc");
+ $tlpsrc->from_file($tlpsrcfile);
}
my $tlpnew = $tlpsrc->make_tlpobj($tltree);
@@ -101,17 +103,13 @@ if (!defined($tlpold)) {
} else {
print "new vs. present $package\n";
my @oldfiles;
- push @oldfiles, $tlpold->srcfiles;
- push @oldfiles, $tlpold->runfiles;
- push @oldfiles, $tlpold->docfiles;
+ push @oldfiles, $tlpold->all_files;
`rm -f $TMP/tlplace.old`;
foreach (sort @oldfiles) {
`echo $_ >> $TMP/tlplace.old`;
}
my @newfiles;
- push @newfiles, $tlpnew->srcfiles;
- push @newfiles, $tlpnew->runfiles;
- push @newfiles, $tlpnew->docfiles;
+ push @newfiles, $tlpnew->all_files;
`rm -f $TMP/tlplace.new`;
foreach (sort @newfiles) {
`echo $_ >> $TMP/tlplace.new`;